Installing the AWS Toolkit for Visual Studio Code - AWS Toolkit for VS Code

Installing the AWS Toolkit for Visual Studio Code

Prerequisites

To get started working with AWS Toolkit for Visual Studio Code from VS Code, the following perquisites must be met. To learn more about accessing all of the AWS services and resources available from the AWS Toolkit for Visual Studio Code, see the Optional prerequisites section of this guide.

  • VS Code requires a Windows, macOS, or Linux operating system.

  • The AWS Toolkit for Visual Studio Code requires you to work from VS Code version 1.42.0 or a later version.

For additional information about VS Code or to download the latest version of VS Code, see the VS Code downloads website.

Downloading and installing the AWS Toolkit for Visual Studio Code

You can download, install, and set up the AWS Toolkit for Visual Studio Code through the VS Code Marketplace in your IDE. Alternatively, you can download the AWS Toolkit for Visual Studio Code installation files by navigating to the VS Code Marketplace from your web browser.

Installing the AWS Toolkit for Visual Studio Code from the VS Code IDE Marketplace
  1. Open the AWS Toolkit for Visual Studio Code extension in your VS Code IDE with the following link: Open the VS Code Marketplace.

    Note

    If VS Code is not already running on your machine, this operation may take a few moments while VS Code is loading.

  2. From the AWS Toolkit for Visual Studio Code extension in the VS Code Marketplace, choose Install to begin the installation process.

  3. When prompted, choose to restart VS Code to complete the installation process.

Optional prerequisites

Before you can use certain features of the AWS Toolkit for Visual Studio Code, you must have the following: